require 'kaki/lsystem'

n = 5

l = Lsystem.new(600, 600, "Penrose Tiling")
l.move(0, 0)
l.prologue {color(0xffff, 0x5feb, 0xe51f)}
l.set("-") {left(36)}
l.set("+") {right(36)}
l.init("[N]++[N]++[N]++[N]++[N]")
l.set("M") {forward(10)}
l.set("N") {forward(10)}
l.set("O") {forward(10)}
l.set("P") {forward(10)}
l.set("A") {forward(10)}
l.rule("M", "OA++PA----NA[-OA----MA]++")
l.rule("N", "+OA--PA[---MA--NA]+")
l.rule("O", "-MA++NA[+++OA++PA]-")
l.rule("P", "--OA++++MA[+PA++++NA]--NA")
l.rule("A", "")
l.draw(n)
