require 'kaki/lsystem'

n = 3

l = Lsystem.new(550, 200, "Koch curve")
l.move(-250, -70)
l.prologue {color(0xffff, 0, 0)}
l.set("-") {left(60)}
l.set("+") {right(60)}
l.init("F")
l.set("F") {forward(500.0 / 3 ** n)}
l.rule("F", "F-F++F-F")
l.draw(n)
