require 'kaki/lsystem'

l = Lsystem.new(600, 600, "Koch island")
l.move(-150, -150)
l.prologue {color(0x28a5, 0xa3c8, 0xca7)}
l.set("-") {left(90)}
l.set("+") {right(90)}
l.init("F-F-F-F")
l.set("F") {forward(8)}
l.rule("F", "F+FF-FF-F-F+F+FF-F-F+F+FF+FF-F")
l.draw(2)
