require 'kaki/lsystem'

n = 7
length = n.zero? ? 500 : 500.0 / 2 ** (n - 1)

l = Lsystem.new(520, 500, "Sierpinski gasket")
l.move(-250, -240)
l.prologue {color(0x55c5, 0xe363, 0xf1d5)}
l.set("-") {left(120)}
l.init("F")
l.set("F") {forward(length)}
l.set("G") {forward(length, false)}
l.rule("F", "F-F-F-GG")
l.rule("G", "GG")
l.draw(n)
