require 'kaki/lsystem'

n = 10

l = Lsystem.new(500, 600, "Dragon curve")
l.move(-80, 150)
l.prologue {color(0x143f, 0x832d, 0xe783)}
l.set("-") {left(90)}
l.set("+") {right(90)}
l.init("A")
l.set("A") {forward(10)}
l.set("B") {forward(10)}
l.rule("A", "A+B+")
l.rule("B", "-A-B")
l.draw(n)
